%global debug_package %{nil}
%global source_date_epoch_from_changelog 0

%define _build_id_links none

%global pkg_name	sped-piscofins
%global pkg_version	6.0.2
%global pkg_release	1

%global appname         piscofins
%global appcaller       SpedContribuicoes

Name:           	%{pkg_name}
Version:        	%{pkg_version}
Release:        	%{pkg_release}%{?dist}
Summary:        	Brazilian SPED EFD-Contributions (PIS/Cofins) generator

License:        	GPL-2+
URL:            	http://sped.rfb.gov.br/

Source0:  		%{pkg_name}_%{pkg_version}.tar.xz
Source1:		Makefile

AutoReq:		no
BuildArch:		x86_64
BuildConflicts: 	%{name}
BuildRequires:		debhelper > 10
BuildRequires:		devscripts
BuildRequires:		git-annex
BuildRequires:		jq

Conflicts:		mariadb-server
Provides:		EFDContribuicoes = %{version}
Provides:		EFD(PIS/Cofins) = %{version}
Requires:		desktop-file-utils
Requires:		libnsl(x86-32) 
Requires:		libxcrypt-compat(x86-32)
Requires:		python3-distro

%description
This package provides the generator for the Digital Tax Bookkeeping
of taxes levied on Revenue (EFD PIS/COFINS) and is part of the
Brazilian Public Digital Bookkeeping System (SPED).


%prep
rm -rf %{name}-%{version} || find %{name}-%{version}/ -exec chmod u+w {} \+ -delete

git config --global init.defaultBranch master
git init && git annex init

%autosetup -c
%{__cp} %{SOURCE1} .
make clean-all
make prep


%install
%{__mkdir_p} %{buildroot}%{_bindir}/
%{__mkdir_p} %{buildroot}%{_datadir}/applications/
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
%{__mkdir_p} %{buildroot}%{_datadir}/fonts/%{appname}/
%{__mkdir_p} %{buildroot}%{_docdir}/%{name}/
%{__mkdir_p} %{buildroot}/opt/

cp -a debian/%{pkg_name}/opt %{buildroot}/
%{__install} -D debian/copyright %{buildroot}%{_docdir}/%{name}/license.txt
%{__install} -D sources/br.gov.serpro.sped.%{appname}pva.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
%{__install} -D sources/br.gov.serpro.sped.%{appname}pva.desktop %{buildroot}%{_datadir}/applications/
%{__install} -D sources/arial.ttf %{buildroot}%{_datadir}/fonts/%{appname}/
%{__ln} -snf ../../opt/sped/%{appname}/%{appcaller} %{buildroot}/%{_bindir}/%{appname}pva


%{__rm} -rf \
  %{buildroot}/opt/sped/%{appname}/%{appcaller}.exe \
  %{buildroot}/opt/sped/%{appname}/*.desktop \
  %{buildroot}/opt/sped/%{appname}/after_install.sh \
  %{buildroot}/opt/sped/%{appname}/uninstall


%files
%{_bindir}/%{appname}pva
%{_datadir}/applications/br.gov.serpro.sped.%{appname}pva.desktop
%{_datadir}/fonts/%{appname}/arial.ttf
%{_datadir}/icons/hicolor/128x128/apps/br.gov.serpro.sped.%{appname}pva.png
%{_docdir}/%{name}/license.txt
/opt/sped/%{appname}/

%post
if [ $1 == 1 ]; then
  if ! getent group | grep -q "^sped:"; then
    groupadd --system --force sped >/dev/null 2>&1 || :
  fi

  chown -R root:sped /opt/sped/%{appname}
  chmod -R g+rwx /opt/sped/%{appname}

  update-desktop-database || :
fi


%postun
if [ $1 == 0 ]; then
  rm -rf /opt/sped/%{appname} > /dev/null 2>&1
fi


%changelog
